/*
  To add a new member add an attribute to `members`
  Then add the key to the required groups.
*/

{
  members = {
    mdebray = {
      name = "Maurice Debray";
      email = "maurice.debray@dgnum.eu";
    };

    thubrecht = {
      name = "Tom Hubrecht";
      email = "tom.hubrecht@dgnum.eu";
    };

    raito = {
      name = "Ryan Lahfa";
      email = "ryan@dgnum.eu";
    };

    jemagius = {
      name = "Jean-Marc Gailis";
      email = "jm@dgnum.eu";
    };
    luj = {
      name = "Julien Malka";
      email = "luj@dgnum.eu";
    };

    catvayor = {
      name = "Lubin Bailly";
      email = "catvayor@dgnum.eu";
    };
  };

  groups = {
    # members of this group are root on all nodes
    root = [
      "thubrecht"
      "raito"
      "mdebray"
      "luj"
    ];

    # members of this group will have root access on the installation isos
    iso = [
      "thubrecht"
      "mdebray"
      "raito"
      "luj"
    ];

    # members of this group can access netbox's secret
    netbox = [ ];

    bureau = [ "gdd" ];
  };
}
