{
  compute01 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.146.147";
            prefixLength = 24;
          }
          {
            address = "192.168.1.147";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.146.254" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "8df60941";
  };

  geo01 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.210.194";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.210.254" ];

        dns = [
          "129.199.96.11"
          "129.199.72.99"
        ];
      };
    };

    hostId = "b88fee0c";
  };

  geo02 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.210.69";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.210.254" ];

        dns = [
          "129.199.96.11"
          "129.199.72.99"
        ];
      };
    };

    hostId = "45d65237";
  };

  storage01 = {
    interfaces = {
      eno1 = {
        ipv4 = [
          {
            address = "129.199.146.148";
            prefixLength = 24;
          }
          {
            address = "192.168.1.148";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.146.254" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "d4e7c369";
  };

  vault01 = {
    interfaces = {
      vlan-uplink-cri = {
        ipv4 = [
          {
            # see also machines/vault01/networking.nix
            address = "129.199.195.129";
            prefixLength = 27;
          }
        ];
        gateways = [ ];
        enableDefaultDNS = true;
      };
      enp130s0f0 = {
        ipv4 = [
          {
            address = "192.168.42.7";
            prefixLength = 24;
          }
        ];
        gateways = [ ];
        enableDefaultDNS = true;
      };
    };

    hostId = "e83b600d";
  };

  web01 = {
    interfaces = {
      ens3 = {
        ipv4 = [
          {
            address = "129.199.129.53";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.129.1" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "050df79e";
  };

  web02 = {
    interfaces = {
      ens3 = {
        ipv4 = [
          {
            address = "129.199.129.235";
            prefixLength = 24;
          }
        ];

        gateways = [ "129.199.129.1" ];
        enableDefaultDNS = true;
      };
    };

    hostId = "b431ca10";
  };

  rescue01 = {
    interfaces = {
      ens18 = {
        ipv6 = [
          {
            address = "2a01:e0a:de4:a0e1:2d73:2a7e:18db:5728";
            prefixLength = 64;
          }
        ];

        ipv4 = [
          {
            address = "192.168.0.232";
            prefixLength = 21;
          }
        ];
        gateways = [ "192.168.0.1" ];
        enableDefaultDNS = true;
      };
    };
    hostId = "007f0200";
    addresses.ipv4 = [ "82.67.34.230" ];
  };
}
